{
    "openapi": "3.0.1", 
    "info": {
        "title": "Boomi Enterprise Platform REST API Reference", 
        "description": "Download OpenAPI Specification: <a href='/APIs/platformOpenAPISpec.json' target='_blank' download='platformopenapi.json'>Download</a> \n\n # Introduction \n The Boomi Platform API provides programmatic access to the Boomi Enterprise Platform functionality. These APIs allow for control of many objects associated with your account. \n\n ## Platform API \n The Boomi Platform API provides programmatic access to the Boomi Enterprise Platform functionality.\n The API is built around an object/verb hierarchy. This hierarchy parallels the basic object-oriented programming paradigm as well as the web service implementation behind [REST](http://en.wikipedia.org/wiki/Representational_State_Transfer).\n\n- Objects represent structures and relationships within the Enterprise platform, such as Account, Account User Role, Atom Startup Properties, and Environment.\n\n- Verbs are the operations performed for each object, such as GET, QUERY, and UPDATE. These verbs are object-based operations. Verbs that do not fall into the object/verb hierarchy, such as executeProcess, are action-based operations.\n\nAll Platform API calls use an API token or user name for authentication and an account ID associated with an active account. For any API call, the account ID is the general context. For example, suppose you make an API call to run a QUERY of the Account Groups object without applying query filters. In that case, the query returns all account groups owned by the authenticated account. If you are using single sign-on, you need to use an [API token](https://help.boomi.com/docs/Atomsphere/Platform/int-AtomSphere_API_Tokens_page_6a75a1f6-709c-4b08-b3bd-85fe2ac02e18) to authenticate.\n\nBoomi developed the API RESTish and SOAP implementations.\n\n>**Note:** Integration also provides: \n >- The Platform Partner API, which supports additional partner-specific operations. \n >- The Platform API and Platform Partner API connectors, which enable you to perform API object-based operations and actions within your integration processes.\n\n### Implementation\n\n All RESTish API endpoint URLs begin with the prefix: \n\n For North American Platform accounts:\n\n ```shell\nhttps://api.boomi.com/api/rest/v1/{accountID}\n```\n\nFor European Platform accounts, the base URL is:\n\n```shell\nhttps://api.platform.gb.boomi.com/api/rest/v1/{accountID}\n```\n\nwhere `accountID` is your account ID. The complete endpoint URL depends on the operation you are trying to perform. The description of each associated API object-based operation provides complete URLs in addition to action topics within this Help guide.\n\n>**Note:**  Integration-specific Boomi Platform API and Partner REST APIs are also available from the OpenAPI 3.0 specification. Because OpenAPI 3.0 is language agnostic, it enables users to easily discover available Integration API and Partner API objects and actions, test requests and responses, and understand the API's functionality. \n\n HTTP Basic Authentication protects RESTish requests, requiring either your [Platform API token](https://help.boomi.com/docs/Atomsphere/Platform/int-AtomSphere_API_Tokens_page_6a75a1f6-709c-4b08-b3bd-85fe2ac02e18) or user name and password credentials.\n\nRequest and response bodies for RESTish requests are XML by default. The XML schema, which is the same for both the RESTish API and the SOAP API, is located at:\n\nFor North American Platform accounts:\n\n```shell\nhttps://api.boomi.com/api/soap/v1/{accountID}?xsd=1\n```\n\nFor European Platform accounts:\n\n```shell\nhttps://api.platform.gb.boomi.com/api/soap/v1/{accountID}?xsd=1\n```\n\nYou can use JSON-formatted request bodies in RESTish calls by sending the request with the HTTP header `Content-Type: application/json`. To receive JSON-formatted responses, send the request with the HTTP header `Accept: application/json`.\n\nYou can configure CORS \\(Cross-Origin Resource Sharing\\) request matching rules for your account to enable cross-server, JavaScript-powered RESTish requests.\n\n## Partner API \n\nThe Boomi Platform Partner API provides partners with programmatic access to the secondary accounts that they manage.\n\nThe Partner API shares many of the same implementation details as the standard Boomi Enterprise Platform API. The main differences between the two APIs are:\n\n-   In addition to the standard Platform API operations, the Partner API supports certain operations that are not available in the standard API:\n\n    -   Account CREATE and DELETE operations\n\n    -   Cancel Execution and Account Provision operations\n\n-   Most Boomi Partner API requests take an optional account override parameter that you can use to override the authenticated account. For a RESTish, implementation the parameter is `overrideAccount`. For SOAP, the parameter is called `accountId`.\n\n    The account override parameter enables you to perform a request against the specified account; the override value becomes the effective account that runs the call. For example, if the authenticated account is primary, a request can override the account ID with Sub01 to perform the request on Sub01 rather than primary. Of course, the primary account must be in the hierarchy of the Sub01 account for the request to pass authorization and authentication logic.\n\n   >**Note:** The Account CREATE and DELETE operations and the Account Provision operation do not support the account override parameter.\n\nThe Boomi Platform Partner API connector enables partner accounts to perform API object-based operations and actions within their integration processes. You can override the account to which a request applies by defining a process property called `boomiPartnerApi-overrideAccountId` in the Boomi Platform Partner API connector operation.\n\n  An optional account property `overrideAccountRateLimit` allows the rate limit to be determined based on the specific account requested, whether it\u2019s a primary or an override account. The application of this rate limit depends on the setting of the `overrideAccountRateLimit` property in the primary account. If this property is enabled, the rate limit defined for the override account will apply. If it is disabled, the rate limit of the primary account will apply. \n\n When you make an API request without specifying the override account, the rate limit of the primary account will apply if the `overrideAccountRateLimit` property is enabled.  \n\n >**Note:** Contact your Boomi representative to enable the `overrideAccountRateLimit` feature for your account. \n\n>**Note:** You must explicitly enable access to the Boomi Partner API. Contact your representative to allow the Partner API for your account.\n\n>**Note:** The RESTish implementation of the Partner API uses the standard Boomi Platform API namespace for both structure and objects.\n\n### Partner API implementation \n\n#### REST\n\nMost Partner API RESTish requests take an optional account ID parameter that you can use to set the effective account. In addition, it adds the account override parameter to each request as a query string parameter called `overrideAccount`.\n\nThe following two code samples illustrate the difference between the Boomi Platform API GET request and the Partner API GET request for a Deployment object.\n\n**Platform API GET**\n\nFor North American Platform accounts:\n\n```powershell\nhttps://api.boomi.com/api/rest/v1/{YOUR_ACCOUNT_ID}/Deployment/XXXXX\n```\n\nFor European Platform accounts:\n\n```powershell\nhttps://api.platform.gb.boomi.com/api/rest/v1/{YOUR_ACCOUNT_ID}/Deployment/XXXXX\n```\n\n**Partner API GET**\n\nFor North American Platform accounts:\n\n```powershell\nhttps://api.boomi.com/partner/api/rest/v1/{YOUR_ACCOUNT_ID}/Deployment/XXXXX?overrideAccount=OVERRIDE_ACCOUNT_ID\n```\n\nFor European Platform accounts:\n\n```powershell\nhttps://api.platform.gb.boomi.com/partner/api/rest/v1/{YOUR_ACCOUNT_ID}/Deployment/XXXXX?overrideAccount=OVERRIDE_ACCOUNT_ID\n```\n>**Note:** For all requests, the structure of responses from the Boomi Platform API and the Partner API are the same.\n\n>**Note:** Integration-specific Boomi Platform API and Partner REST APIs are also available from the OpenAPI 3.0 specification. Because OpenAPI 3.0 is language agnostic, it enables users to easily discover available Integration API and Partner API objects and actions, test requests and responses, and understand the API's functionality. \n\n To checkout the partner specific APIs, refer to the topic [Platform Partner API Reference](https://developer.boomi.com/docs/APIs/PlatformPartnerAPI/APIReference/Platform_Partner_APIs_Overview).\n\n\n## Platform API and Partner API authentication\n\nReview the different authentication methods that users can employ to successfully make calls to the Boomi Platform API and Boomi Platform Partner API.\n\n### User name and password credentials\n\nSingle sign-on \\(SSO\\) Administration users and regular users \\(non-SSO\\) can authenticate calls to the Boomi Platform and Partner APIs using their user name and password credentials in a Basic Auth type authorization.\n\n### Platform API tokens\n\nIf single sign-on \\(SSO\\) users do not have Administrator privileges, they must use API tokens to authenticate any Boomi Platform or Partner API calls. Similarly, users that enable two-factor authentication \\(2FA\\) on their accounts can authenticate their API calls using a single API token rather than manually entering individual authentication codes per API call.\n\n>**Note:** Regular non-SSO users and administrators who use SSO can also use API tokens to authenticate their APIs. They must follow the same instructions for using the token's value in the request header described below. For instance, use the API token feature if the user wants to limit API calls to a specific account.\n\n<iframe width=\"400px\" height=\"300px\" src=\"https://embed.app.guidde.com/playbooks/nSvxucmdusmGXejTQywYE6\" title=\"Creating an API token\" frameborder=\"0\" referrerpolicy=\"unsafe-url\" allowfullscreen=\"true\" allow=\"clipboard-write\" sandbox=\"allow-popups allow-popups-to-escape-sandbox allow-scripts allow-forms allow-same-origin allow-presentation\"></iframe>\n\nUsers generate API tokens for their account from the **Settings** > **Account Information and Setup** > **Platform API Tokens** page and use the token's value in place of a password:\n\n- When making manual calls to the Boomi Platform or Partner APIs, users must enter the API token value within the password field of a Basic Auth type authorization. In addition, the user name value must be the Boomi Platform user name authenticating the request and be in the form of `BOOMI_TOKEN.<username>`.\n\n- When making automatic calls to the Boomi Platform or Partner APIs, users must replace the `<username:password>` value in the Basic Auth header with `BOOMI_TOKEN.<username>:<token_value>`.\n\n  For example, the following shows a user using an API token to authenticate a GET request made to the Audit Log object:\n\n  For North American Platform accounts:\n\n  ```powershell\n  curl --user \"BOOMI_TOKEN.user@boomi.com:123aab45-67b8-9012-3a45-67c8e9e01e23\" --request GET 'https://api.boomi.com/api/rest/v1/account123/AuditLog/documentId-321' \n  ```\n\n  For European Platform accounts:\n\n  ```powershell\n  curl --user \"BOOMI_TOKEN.user@boomi.com:123aab45-67b8-9012-3a45-67c8e9e01e23\" --request GET 'https://api.platform.gb.boomi.com/api/rest/v1/account123/AuditLog/documentId-321' \n  ```\n  \nFor North American Platform accounts:\n\n```powershell\nhttps://api.boomi.com/api/rest/v1/{YOUR_ACCOUNT_ID}/Deployment/XXXXX\n```\n\nFor European Platform accounts:\n\n```powershell\nhttps://api.platform.gb.boomi.com/api/rest/v1/{YOUR_ACCOUNT_ID}/Deployment/XXXXX\n```\n\nFor more information about API tokens and how to add them to your account, refer to the topic [API Tokens](https://help.boomi.com/docs/Atomsphere/Platform/int-AtomSphere_API_Tokens_page_6a75a1f6-709c-4b08-b3bd-85fe2ac02e18).\n\n### Two-factor authentication\n\nAs described in the previous section, you can generate and use an API token to make calls from accounts enabled with 2FA. For any calls that you wish to automate, encourages you to use API tokens.\n\nIn some cases, however, you may be making less frequent, ad-hoc calls and do not require the automation benefits that a token provides. For such calls, simply include X-Boomi-OTP as an HTTP header and set the time-based one-time password \\(TOTP\\) authentication code as its value. For more information about 2FA, refer to the topic [Two-factor authentication](https://help.boomi.com/docs/Atomsphere/Platform/c-atm-Two-factor_authentication_b539d687-2384-4d0c-8f17-75e066e9269a) and all related subtopics.\n\n### JWT authentication tokens\n\nYou can generate a JWT token to use JWT to authenticate calls to certain Boomi Platform APIs, the Boomi Data Hub Repository API, and GraphQL APIs.\n\nTo generate a JWT token, you must use HTTP Basic authentication and provide your Boomi Enterprise Platform account username and password in a GET request to the Boomi Platform API.\n\nSend a GET request to `https://api.boomi.com/auth/jwt/generate/{accountId}` for North American Platform accounts (or `https://api.platform.gb.boomi.com/auth/jwt/generate/{accountId}` for European Platform accounts), where `{accountId}` is the ID of the authenticating accout for the request. You can obtain your Enterprise Platform account information in **Settings \\> User Information \\> Account Information**.\n\n>**Note:** JWT tokens expire after 5 minutes. If you make a request with an expired token, you will receive a 401 error.\n\n## OpenAPI 3.0\n\nOpenAPI 3.0 \\(formerly Swagger Specification\\) is an API specification available for Boomi Enterprise Platform and Partner REST APIs within the service.\n\nThe [OpenAPI 3.0 Specification](https://swagger.io/specification/) \\(OAS\\) enables clients to more easily use and understand Boomi's REST APIs. Because of its language-agnostic interface, clients can use the OpenAPI specification \\(OAS\\) with common API tools to programmatically discover available Boomi Platform API and Partner API endpoints. Users can also generate sample requests and responses based on a refined schema and more easily explore and test APIs using common tooling without needing to reference complex code or additional help documentation. The ease and accuracy of OAS documentation also allows you to detect defects early in your development cycle and alleviates strain on your continuous integration pipeline.\n\n### Using OAS with common API tools\n\nYou can easily access OpenAPI 3.0 documentation for Integration's platform and Partner APIs using any tool of your choosing, such as Postman. Use the following general instructions to import the available Boomi Platform API and Partner API collection to your specific tool:\n\n1.  Open an API tool, such as Postman.\n2.  Click **File** \\> **Import**.\n3.  Click the **Link** tab.\n4.  From your API tool, do one of the following:\n\n    a.  To make calls to an Boomi Enterprise Platform API, copy and paste `https://api.boomi.com/api/rest/v1/<platform_account_ID>/openapi.json` for North American Platform accounts (or `https://api.platform.gb.boomi.com/api/rest/v1/<platform_account_ID>/openapi.json` for European Platform accounts) into the URL field.\n\n    b.  To make calls to a Partner API, copy and paste `https://api.boomi.com/partner/api/rest/v1/<platform_account_ID>/openapi.json` for North American Platform accounts (or `https://api.platform.gb.boomi.com/partner/api/rest/v1/<platform_account_ID>/openapi.json` for European Platform accounts) into the URL field where `<platform_account_ID>` is the account ID.\n\n5.  Replace `<platform_account_ID>` in the URL with the ID of the authenticating account from which you want to make requests.\n6.  Click **Continue**.\n7.  Under **Show Advanced Settings**, optionally change the **Folder Organization** selection to **Tags**.\n8.  Click **Import**. This actions adds Boomi Platform APIs or Partner APIs to your collection.\n9.  Open the **Collections** tab of your tool and select your new collection, titled either Boomi Platform API or Partner API. From here, you can enter your credentials to globally apply authentication to all requests within that collection.\n\n    a.  Under the **Authorization** tab, select **Basic Auth** as the authentication type and enter your sign-in credentials.\n\n    b.  If you are using a Boomi Enterprise Platform API token instead, enter `BOOMI_TOKEN.<your_boomi_platform_user_name>` in the **Username** field and the API token in the **Password** field.\n\n    c.  If you want to grant different account permission to the collection, change the values of the **Username** and **Password** fields in the **Authorization** tab. Then, under the **Variables** tab, modify the **CURRENT VALUE** field with the new account ID. \n\n >**Note:** You must use an API token if you enable your account with two-factor authentication \\(2FA\\) or single sign-on \\(SSO\\). \n\n 10. In your new collection, you can refer to the list of available APIs and expand them to view their available operations.\n11. Test out an API object and configure URL and request parameters as appropriate. Click **Send** and view the results.\n\n\n## API errors \n\nThe Platform API and the Partner API return standard HTTP status codes or SOAP fault codes to indicate the success or failure of an API request.\n\nprovides standard HTTP status codes and clear messaging to help you identify and correct potential errors with your API call. Boomi Platform API and Partner APIs return the following potential error statuses.\n\n### 2xx Success \n\nThe Platform API or Partner API returns 200-type statuses when the call is successful. However, some success statuses can also indicate additional complications that you must address:\n\n-   **200**\u2014The request is successful.\n-   **202**\u2014 The request did not finish processing and requires more wait time. Clients typically encounter this status in the context of asynchronous APIs.\n-   **204**\u2014 There is a successful exchange between client and server, but there is no content or data at the requested URL. For example, the client encounters a 204 code in the second half of an asynchronous API after retrieving the content successfully or deleting the content automatically after 30 minutes. \n\n ### 3xx Redirection \n\n The Platform API or Partner API returns 300-type statuses when a retired API object is no longer available for use and there exists a replacement URL pointing to the newer functionality: \n\n - **301**\u2014 This and all future requests should be directed to the given URI. The request method can change, such as from a GET to a POST request.\n - **308**\u2015 Similar to 301, all future requests should be redirected to the given URL. However, 308 doesn't allow the HTTP method to change. The user must repeat the exact same request method as the original request. \n\n### 4xx Client request issues \n\nThe Platform API or Partner API returns 400-type statuses when the client does not correct authentication or permissions to complete the call. The following list describes the various 400-type statuses one may receive.\n\n-   **400**\u2014 The server was unable to proceed with the request, most likely due to bad syntax in the request URL or body. To fix these errors, ensure that the request or endpoint URL is properly formed. Refer to the documentation for your particular API object or operation for specific call examples. \n - **401**\u2014 You cannot be authenticated due to bad credentials for the target resource. Ensure that you're using valid user ID and password. \n-   **403**\u2014 You're authenticated but not authorized or doesn\u2019t have permissions to perform the requested action. If you encounter a 403 error, check that you have correct permissions and authorized access to the account specified in the API endpoint.\n-   **404**\u2014 Made a call to an API endpoint that does not exist. Ensure that the endpoint URL points to a valid API or that there is a properly formed request body.\n-   **410**\u2014 The API is retired or the specified Runtime is currently offline.\n\n### 5xx Service Unavailable \n\nThe Platform API or Boomi Partner API returns 500-type statuses when the API cannot complete the call due to a service interruption. The following list describes the various 500-type statuses one may receive.\n\n-   **503**\u2014 The server is too busy or the client exceeded the allotted rate limit. Have the client try again later.\n-   **504**\u2014 The client cannot reach the Runtime or the server at this time. Have the client try again later.\n\n### Sample response\n\nFor errors encountered during a REST request, an error message is returned along with the appropriate HTTP status code. The following is an example error message for which the HTTP status code is either 400 \\(indicating an error with the clients request\\) or 500 \\(indicating a server error\\).\n\n<details>\n<summary>XML response:</summary> \n\n ```xml\n<error>\n    <message>ERROR_MESSAGE</message>\n</error>\n``` \n </details> \n\n <details>\n<summary>JSON response:</summary> \n\n ```JSON \n {\n   \"error\": {\n      \"message\": \"ERROR_MESSAGE\"\n    }\n}\n``` \n\n </details>  \n\n## API connectors\n\nThe Platform API connector and Platform Partner API connector enable you to perform API object-based operations and actions within your integration processes.\n\nThe design of the API connectors connect seamlessly with the Platform. Integrating with the platform consists of web service calls utilizing a SOAP request and response setup over an HTTPS connection. The technical details of this connection, such as request headers, error handling, and HTTPS connection, are all abstracted to simplify your implementation.\n\nThe object-based operations and actions available in the Boomi Platform API connector and Boomi Platform Partner API connector are the same as those in the equivalent API.\n\nUsing an API connector in an integration process can make working with the underlying API easier. The API connectors:\n\n- Allow you to select from a list of available objects and actions.\n\n- Provide an expression builder for creating query filters.\n\n- Handle query paging for you by using the `queryMore` token automatically. As a result, the API connectors do not limit the number of records returned by a Query request.\n\n- Detect API response errors automatically, and either fail a document or set the Application Status Code document property accordingly.\n\n- Handle HTTP 503 Service Unavailable errors automatically by retrying a request up to five times. HTTP 503 errors can result from an account exceeding its API usage limit, such as five requests per second. Retrying the request at a different time might resolve the issue.\n\n>**Note:** Deploying a Platform API connector or Platform Partner API connector does not affect your license count. You can deploy these API connectors unlimited times across different Runtimes and environments.\n\n\nThe Platform Partner API connector, like the Partner API itself, provides Boomi Platform partners with programmatic access to the subaccounts that they manage. As a partner, you can override the account to which a request applies by defining a process property called `boomiPartnerApi-overrideAccountId` in the connector operation.\n\nFor the following API operations, use the Boomi Platform Partner API connector rather than the Platform API connector:\n\n- Account Group operations\n- Account Group Account operations\n- Account Group User Role operations\n- Cancel execution operation\n- Provision Partner Customer Account operation\n\n\n## Bulk GET operations \n\nThe bulk GET operation returns a maximum of 100 multiple API objects based on the supplied object IDs.\n\nMost Boomi Platform API objects that support the ordinary GET operation also support a bulk GET operation. With a bulk GET operation, you specify the object type and up to 100 object IDs. The operation returns all objects having the specified IDs.\n\nThe following example bulk GET requests are for the Process object.\n\n### Implementation \n\nSend an HTTP POST to:\n\nFor North American Platform accounts:\n\n```powershell\nhttps://api.boomi.com/api/rest/v1/{accountId}/Process/bulk\n```\n\nFor European Platform accounts:\n\n```powershell\nhttps://api.platform.gb.boomi.com/api/rest/v1/{accountId}/Process/bulk\n```\n\nwhere `accountId` is the ID of the authenticating account for the request.\n\nNote that a specific process ID is replaced with the word `bulk` in the endpoint URL.\n\n<details>\n  <summary><h4>XML request</h4></summary>\n\n    \n    <api:BulkRequest xmlns:api=\"http://api.platform.boomi.com/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" type=\"GET\">\n      <api:request xsi:type=\"api:BulkId\" id=\"56789abc-def0-1234-5678-9abcdef01234\"/>\n      <api:request xsi:type=\"api:BulkId\" id=\"not_a_real_process_id\"/>\n      <api:request xsi:type=\"api:BulkId\" id=\"6789abcd-ef01-2345-6780-abcdef012345\"/>\n    </api:BulkRequest>\n </details>\n\n<details>\n  <summary><h4>XML response</h4></summary>\n\n    <bns:BulkResult xmlns:bns=\"http://api.platform.boomi.com/\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\">\n      <bns:response statusCode=\"200\">\n          <bns:Result xsi:type=\"bns:Process\" id=\"56789abc-def0-1234-5678-9abcdef01234\" name=\"Order Intake\"/>\n      </bns:response>\n      <bns:response errorMessage=\"No such process\" statusCode=\"400\" id=\"not_a_real_process_ID\"/>\n      <bns:response statusCode=\"200\">\n          <bns:Result xsi:type=\"bns:Process\" id=\"6789abcd-ef01-2345-6780-abcdef012345\" name=\"Order Process\"/>\n      </bns:response>\n    </bns:BulkResult>\n</details>\n\nFor a JSON request, send the request with the following HTTP header:\n\n`Content-Type: application/json`\n\n<details>\n  <summary><h4>JSON request</h4></summary>\n\n  ```json\n  {\n    \"type\" : \"GET\",\n    \"request\" : [\n      {\n        \"id\" : \"56789abc-def0-1234-5678-9abcdef01234\"\n      },\n      {\n        \"id\" : \"not_a_real_process_id\"\n      },\n      {\n        \"id\" : \"6789abcd-ef01-2345-6780-abcdef012345\"\n      }\n    ]\n  }\n  ```\n</details>\n\nFor a JSON response, send the request with the following HTTP header:\n\n`Accept: application/json`\n\n<details>\n  <summary><h4>JSON response</h4></summary>\n\n    {\n      \"@type\" : \"BulkResult\",\n      \"response\" : [ \n        {\n          \"@type\" : \"BulkResponse\",\n          \"Result\" : \n            {\n              \"@type\" : \"Process\",\n              \"IntegrationPack\" : [ ],\n              \"name\" : \"Order Intake\",\n              \"id\" : \"56789abc-def0-1234-5678-9abcdef01234\"\n            },\n          \"statusCode\" : 200\n        },\n        {\n          \"@type\" : \"BulkResponse\",\n          \"id\" : \"not_a_real_process_id\",\n          \"statusCode\" : 400,\n          \"errorMessage\" : \"No such process\"\n        },\n        {\n          \"@type\" : \"BulkResponse\",\n          \"Result\" : \n            {\n              \"@type\" : \"Process\",\n              \"IntegrationPack\" : [ ],\n              \"name\" : \"Order Process\",\n              \"id\" : \"6789abcd-ef01-2345-6780-abcdef012345\"\n            },\n          \"statusCode\" : 200\n        }\n      ]\n    }\n</details>\n\n\n\n## Bulk UPDATE operations\n\nThe Bulk UPDATE operation updates multiple API objects based on the supplied object IDs.\n\nWith a Bulk UPDATE operation, you specify the object type and up to a specific number of object IDs. The operation updates all objects having the specified IDs.\n\n\n>**Note:** Typically, the Bulk UPDATE operation can apply updates up to 100 object IDs. However, only the Process Schedules object currently supports the Bulk UPDATE operation and is limited to 15 objects.\n\nThe following example Bulk UPDATE requests are for the Process Schedules object.\n\n### Implementation\n\n**UPDATE operation**\n\nSend an HTTP POST to:\n\nFor North American Platform accounts:\n\n```powershell\nhttps://api.boomi.com/api/rest/v1/{accountId}/ProcessSchedules/bulk\n```\n\nFor European Platform accounts:\n\n```powershell\nhttps://api.platform.gb.boomi.com/api/rest/v1/{accountId}/ProcessSchedules/bulk\n```\n\nwhere `accountId` is the ID of the authenticating account for the request.\n\nFor a JSON request, send the request with the following HTTP header:\n\n```json\nContent-Type: application/json\n```\n\n<details>\n  <summary><h4>JSON request</h4></summary>\n\n    {\n        \"type\": \"UPDATE\",\n        \"request\": [\n            {\n                \"Schedule\": [\n                    {\n                        \"minutes\": \"20\",\n                        \"hours\": \"8\",\n                        \"daysOfWeek\": \"5,6\",\n                        \"daysOfMonth\": \"*\",\n                        \"months\": \"*\",\n                        \"years\": \"*\"\n                    },\n                    {\n                        \"minutes\": \"1\",\n                        \"hours\": \"8\",\n                        \"daysOfWeek\": \"5,6\",\n                        \"daysOfMonth\": \"*\",\n                        \"months\": \"*\",\n                        \"years\": \"*\"\n                    }\n                ],\n                \"Retry\": {\n                    \"Schedule\": [],\n                    \"maxRetry\": 2\n                },\n                \"processId\": \"123456ab-cdef-7891-0123-45abcdef6789\",\n                \"atomId\": \"1a234f35-6b78-901c-2d34-f5e678f90123\"\n            },\n            {\n                \"Schedule\": [],\n                \"processId\": \"123456ab-cdef-7891-0123-45abcdef6789\",\n                \"atomId\": \"abc12345-6def-7g8h-90ij-k1l2mn345678\"\n            }\n        ]\n    }\n    ```\n</details>\n\nFor a JSON response, send the request with the following HTTP header:\n\n```json\nAccept: application/json\n```\n\n<details>\n  <summary><h4>JSON response</h4></summary>\n\n   \n    {\n        \"@type\": \"BulkResult\",\n        \"response\": [\n            {\n                \"@type\": \"BulkResponse\",\n                \"Result\": {\n                    \"@type\": \"ProcessSchedules\",\n                    \"Schedule\": [\n                        {\n                            \"@type\": \"Schedule\",\n                            \"minutes\": \"20\",\n                            \"hours\": \"8\",\n                            \"daysOfWeek\": \"5,6\",\n                            \"daysOfMonth\": \"*\",\n                            \"months\": \"*\",\n                            \"years\": \"*\"\n                        },\n                        {\n                            \"@type\": \"Schedule\",\n                            \"minutes\": \"1\",\n                            \"hours\": \"8\",\n                            \"daysOfWeek\": \"5,6\",\n                            \"daysOfMonth\": \"*\",\n                            \"months\": \"*\",\n                            \"years\": \"*\"\n                        }\n                    ],\n                    \"Retry\": {\n                        \"@type\": \"ScheduleRetry\",\n                        \"Schedule\": [],\n                        \"maxRetry\": 2\n                    },\n                    \"processId\": \"123456ab-cdef-7891-0123-45abcdef6789\",\n                    \"atomId\": \"1a234f35-6b78-901c-2d34-f5e678f90123\"\n                },\n                \"statusCode\": 200\n            },\n            {\n                \"@type\": \"BulkResponse\",\n                \"Result\": {\n                    \"@type\": \"ProcessSchedules\",\n                    \"Schedule\": [],\n                    \"processId\": \"123456ab-cdef-7891-0123-45abcdef6789\",\n                    \"atomId\": \"abc12345-6def-7g8h-90ij-k1l2mn345678\"\n                },\n                \"statusCode\": 200\n            }\n        ]\n    }\n  \n</details>\n\n<details>\n  <summary><h4>XML request</h4></summary>\n\n   \n    <api:BulkRequest xmlns:api=\"http://api.platform.boomi.com/\"  xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" type=\"UPDATE\">\n        <api:request xsi:type=\"api:ProcessSchedules\" xmlns:api=\"http://api.platform.boomi.com/\" processId=\"123456ab-cdef-7891-0123-45abcdef6789\" atomId=\"1a234f35-6b78-901c-2d34-f5e678f90123\">\n            <api:Schedule minutes=\"31\" hours=\"8\" daysOfWeek=\"5,6\" daysOfMonth=\"*\" months=\"*\" years=\"*\"/>\n            <api:Retry maxRetry=\"5\">\n                <api:Schedule minutes=\"15\" hours=\"8\" daysOfWeek=\"5,6\" daysOfMonth=\"*\" months=\"*\" years=\"*\"/>\n            </api:Retry>\n        </api:request>\n        <api:request xsi:type=\"api:ProcessSchedules\" xmlns:api=\"http://api.platform.boomi.com/\" processId=\"123456ab-cdef-7891-0123-45abcdef6789\" atomId=\"abc12345-6def-7g8h-90ij-k1l2mn345678\">\n        </api:request>\n    </api:BulkRequest>\n  \n</details>\n\n<details>\n  <summary><h4>XML response</h4></summary>\n\n   \n    <?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n    <bns:BulkResult xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:bns=\"http://api.platform.boomi.com/\">\n        <bns:response statusCode=\"200\">\n            <bns:Result xsi:type=\"bns:ProcessSchedules\" processId=\"123456ab-cdef-7891-0123-45abcdef6789\" atomId=\"1a234f35-6b78-901c-2d34-f5e678f90123\">\n                <bns:Schedule minutes=\"31\" hours=\"8\" daysOfWeek=\"5,6\" daysOfMonth=\"*\" months=\"*\" years=\"*\"/>\n                <bns:Retry maxRetry=\"5\">\n                    <bns:Schedule minutes=\"15\" hours=\"8\" daysOfWeek=\"5,6\" daysOfMonth=\"*\" months=\"*\" years=\"*\"/>\n                </bns:Retry>\n            </bns:Result>\n        </bns:response>\n        <bns:response statusCode=\"200\">\n            <bns:Result xsi:type=\"bns:ProcessSchedules\" processId=\"123456ab-cdef-7891-0123-45abcdef6789\" atomId=\"abc12345-6def-7g8h-90ij-k1l2mn345678\"/>\n        </bns:response>\n    </bns:BulkResult>\n   \n</details>\n\n## Query filters \n\nQUERY filters let you use API object fields and a range of operators to customize the results of a request.\n\nThe flexible structure of QUERY filters allows you to perform complex queries. You can compose a query filter with simple expressions and by grouping expressions.\n\n### Simple expressions in query filters \n\nA simple expression consists of:\n\n-   A property, or field, whose value is to be tested\n\n-   An operator, which describes the type of comparison to perform\n\n-   Zero or more arguments\n\n\nThe following table lists all available operators and the acceptable number of arguments. Refer to the specific API object topics for information about what fields you can use as query filters and the allowed operators for that object.\n\n|Operator|Description|Number of Arguments|\n|--------|-----------|-------------------|\n|EQUALS|Equal To|1|\n|LIKE|Like|1|\n|NOT\\_EQUALS|Not Equal To|1|\n|IS\\_NULL|Is Null|0|\n|IS\\_NOT\\_NULL|Is Not Null|0|\n|STARTS\\_WITH|Starts With|1|\n|BETWEEN|Between|2|\n|GREATER\\_THAN|Greater Than|1|\n|GREATER\\_THAN\\_OR\\_EQUAL|Greater Than Or Equal|1|\n|LESS\\_THAN|Less Than|1|\n|LESS\\_THAN\\_OR\\_EQUAL|Less Than Or Equal|1|\n\n #### JSON sample paylod requests \n\n <details>\n<summary>EQUALS/NOT_EQUALS</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"argument\": [\n                \"000b7e59-8dd6-4219-9be6-8d31512f0b66\"\n            ],\n            \"operator\": \"EQUALS/NOT_EQUALS\",\n            \"property\": \"componentId\"\n        }\n    }\n}\n```\n\n</details>\n<details>\n<summary>IS_NULL/IS_NOT_NULL</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"nestedExpression\": [\n                {\n                    \"operator\": \"IS_NULL\",\n                    \"property\": \"componentId\"\n                }\n            ]\n        }\n    }\n}\n```\n\n</details>\n<details>\n<summary>CONTAINS/NOT_CONTAINS</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"argument\": [\n                \"main\"\n            ],\n            \"operator\": \"CONTAINS/NOT_CONTAINS\",\n            \"property\": \"branchName\"\n        }\n    }\n}\n```\n\n</details>\n<details>\n<summary>BETWEEN</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"operator\": \"and\",\n            \"nestedExpression\": [\n                {\n                    \"argument\": [\n                        \"1\", \"10\"\n                    ],\n                    \"operator\": \"BETWEEN\",\n                    \"property\": \"copiedFromComponentVersion\"\n                },\n                {\n                    \"argument\": [\n                        \"000b7e59-8dd6-4219-9be6-8d31512f0b66\"\n                    ],\n                    \"operator\": \"EQUALS\",\n                    \"property\": \"copiedFromComponentId\"\n                }\n            ]\n        }\n    }\n}\n```\n\n</details>\n<details>\n<summary>LIKE/NOT_LIKE</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"argument\": [\n                \"Dum%\"\n            ],\n            \"operator\": \"LIKE/NOT_LIKE\",\n            \"property\": \"branchName\"\n        }\n    }\n}\n```\n\n</details>\n<details>\n<summary>GREATER_THAN/LESS_THAN</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"operator\": \"and\",\n            \"nestedExpression\": [\n                {\n                    \"argument\": [\n                        \"1\"\n                    ],\n                    \"operator\": \"GREATER_THAN/LESS_THAN\",\n                    \"property\": \"copiedFromComponentVersion\"\n                },\n                {\n                    \"argument\": [\n                        \"000b7e59-8dd6-4219-9be6-8d31512f0b66\"\n                    ],\n                    \"operator\": \"EQUALS\",\n                    \"property\": \"copiedFromComponentId\"\n                }\n            ]\n        }\n    }\n}\n```\n\n</details>\n<details>\n<summary>GREATER_THAN_OR_EQUAL/LESS_THAN_OR_EQUAL</summary>\n\n```JSON\n{\n    \"QueryFilter\": {\n        \"expression\": {\n            \"operator\": \"and\",\n            \"nestedExpression\": [\n                {\n                    \"argument\": [\n                        \"1\"\n                    ],\n                    \"operator\": \"GREATER_THAN_OR_EQUAL/LESS_THAN_OR_EQUAL\",\n                    \"property\": \"copiedFromComponentVersion\"\n                },\n                {\n                    \"argument\": [\n                        \"000b7e59-8dd6-4219-9be6-8d31512f0b66\"\n                    ],\n                    \"operator\": \"EQUALS\",\n                    \"property\": \"copiedFromComponentId\"\n                }\n            ]\n        }\n    }\n}\n``` \n \n</details>\n\n<br>\n\n#### XML sample payload requests \n\n \n\n <details>\n<summary>EQUALS/NOT_EQUALS</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression \n            operator=\\\"EQUALS/NOT_EQUALS\\\" \n            property=\\\"componentId\\\" \n            xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" \n            xsi:type=\\\"SimpleExpression\\\">\n            <argument>5fc2d133-0e07-4f6a-b4e3-c350b3b3fdaf</argument>\n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n</details>\n\n<details>\n<summary>IS_NULL/IS_NOT_NULL</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression \n            operator=\\\"IS_NULL/IS_NOT_NULL\\\" \n            property=\\\"componentId\\\" \n            xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" \n            xsi:type=\\\"SimpleExpression\\\">            \n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n</details>\n\n<details>\n<summary>CONTAINS/NOT_CONTAINS</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression \n            operator=\\\"CONTAINS/NOT_CONTAINS\\\" \n            property=\\\"componentId\\\" \n            xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" \n            xsi:type=\\\"SimpleExpression\\\">\n            <argument>5fc2d133-0e07-4f6a-b4e3-c350b3b3fdaf</argument>\n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n</details>\n\n<details>\n<summary>BETWEEN</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression operator=\\\"and\\\" xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:type=\\\"GroupingExpression\\\">\n            <nestedExpression operator=\\\"EQUALS\\\" property=\\\"componentId\\\" xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:type=\\\"SimpleExpression\\\">\n                <argument>123</argument>\n            </nestedExpression>\n            <nestedExpression operator=\\\"BETWEEN\\\" property=\\\"copiedFromComponentVersion\\\" xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:type=\\\"SimpleExpression\\\">\n                <argument>456</argument>\n                <argument>789</argument>\n            </nestedExpression>\n            <nestedExpression operator=\\\"EQUALS\\\" property=\\\"copiedFromComponentId\\\" xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" xsi:type=\\\"SimpleExpression\\\">\n                <argument>123</argument>\n            </nestedExpression>\n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n</details>\n\n<details>\n<summary>LIKE/NOT_LIKE</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression \n            operator=\\\"LIKE/NOT_LIKE\\\" \n            property=\\\"branchName\\\" \n            xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" \n            xsi:type=\\\"SimpleExpression\\\"> \n            <argument>main%</argument>         \n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n</details>\n\n<details>\n<summary>GREATER_THAN/LESS_THAN</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression \n            operator=\\\"GREATER_THAN/LESS_THAN\\\" \n            property=\\\"componentId\\\" \n            xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" \n            xsi:type=\\\"SimpleExpression\\\"> \n            <argument>5fc2d133-0e07-4f6a-b4e3-c350b3b3fdaf</argument>         \n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n</details>\n\n<details>\n<summary>GREATER_THAN_OR_EQUAL/LESS_THAN_OR_EQUAL</summary>\n\n```xml\n<?xml version=\\\"1.0\\\" encoding=\\\"UTF-8\\\"?>\n<QueryConfig xmlns=\\\"http://api.platform.boomi.com/\\\">\n    <QueryFilter>\n        <expression \n            operator=\\\"GREATER_THAN_OR_EQUAL/LESS_THAN_OR_EQUAL\\\" \n            property=\\\"componentId\\\" \n            xmlns:xsi=\\\"http://www.w3.org/2001/XMLSchema-instance\\\" \n            xsi:type=\\\"SimpleExpression\\\"> \n            <argument>5fc2d133-0e07-4f6a-b4e3-c350b3b3fdaf</argument>         \n        </expression>\n    </QueryFilter>\n</QueryConfig>\n```\n\n</details> \n\n<br>\n\n ### Grouping expressions in query filters \n\nA grouping expression contains a logical operator \\(AND or OR\\) and contains nested expressions. These can be either simple expressions or grouping expressions. The following examples illustrate a complex grouping expression.\n\n<details>\n  <summary>JSON</summary>\n\n    \n        {\n            \"QueryFilter\": {\n                \"expression\": {\n                    \"operator\": \"and\",\n                    \"nestedExpression\": [\n                        {\n                            \"argument\" : [\"123\"],\n                            \"operator\":\"EQUALS\",\n                            \"property\":\"ABC\"\n                        },\n                        {\n                            \"argument\" : [\"456\", \"789\"],\n                            \"operator\":\"BETWEEN\",\n                            \"property\":\"DEF\"\n                        },\n                        {\n                            \"operator\":\"and\",\n                            \"nestedExpression\": [\n                                {\n                                    \"argument\" : [\"123\"],\n                                    \"operator\":\"GREATER_THAN\",\n                                    \"property\":\"GHI\"\n                                },\n                                {\n                                    \"argument\" : [\"0\"],\n                                    \"operator\":\"EQUALS\",\n                                    \"property\":\"JKL\"\n                                }\n                            ]\n                        }\n                    ]\n                }\n            }\n        }\n   \n</details>\n\n<details>\n  <summary>XML</summary>\n    \n    \n    <expression operator=\"and\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"GroupingExpression\">\n        <nestedExpression operator=\"EQUALS\" property=\"ABC\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"SimpleExpression\">\n            <argument>123</argument>\n        </nestedExpression>\n        <nestedExpression operator=\"BETWEEN\" property=\"DEF\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"SimpleExpression\">\n            <argument>456</argument>\n            <argument>789</argument>\n        </nestedExpression>\n        <nestedExpression operator=\"and\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"GroupingExpression\">\n            <nestedExpression operator=\"GREATER_THAN\" property=\"GHI\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"SimpleExpression\">\n                <argument>123</argument>\n            </nestedExpression>\n            <nestedExpression operator=\"EQUALS\" property=\"JKL\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xsi:type=\"SimpleExpression\">\n                <argument>0</argument>\n            </nestedExpression>\n        </nestedExpression>\n    </expression>\n   \n</details>\n\n ## Query paging \n\nQuery paging helps you manage the number of results returned by an Boomi Platform API request.\n\nThe results from QUERY requests are paged to keep the size of responses at acceptable levels. The maximum number of results returned per QUERY response is 100. When there are more than 100 results, the response contains a `queryToken`. You can retrieve additional results by specifying the `queryToken` in a `queryMore` request.\n\n>**Note:** The Platform API connector and Platform Partner API connector handle query paging for you. When you use an API connector in a process, there is no limit to the number of results returned by a Query request.\n\n### REST\n\nThe following is an example of an XML response that contains a `queryToken`:\n\n<details>\n  <summary><h4>XML</h4></summary>\n\n   ```xml\n   <bns:QueryResult numberOfResults=\"100\" xmlns=\"http://api.platform.boomi.com/\">\n      <bns:queryToken>EXAMPLE_QUERY_TOKEN</bns:queryToken>\n      <bns:result xsi:type=\"bns:\">\n      </bns:result>\n      ...\n      <bns:result xsi:type=\"bns:\">\n      </bns:result>\n   </bns:QueryResult>\n   ```\n</details>\n\nTo perform the `queryMore` request, send an HTTP POST to:\n\nFor North American Platform accounts:\n\n```powershell\nhttps://api.boomi.com/api/rest/v1/{accountId}/objectType/queryMore\n```\n\nFor European Platform accounts:\n\n```powershell\nhttps://api.platform.gb.boomi.com/api/rest/v1/{accountId}/objectType/queryMore\n```\n\nwhere `accountId` is the ID of the authenticating account for the request and `objectType` is the type of object you are querying \\(such as Account\\).\n\nTo make a `queryMore` request, you need to provide *only the token value as free text* in the body of an XML or JSON request to obtain the next page of results, for example:\n\n<details>\n  <summary><h4>Request sample</h4></summary>\n\n ```/nd0PlROcmu..```\n</details>\n\n\n <details>\n <summary><h4>JSON Response sample</h4></summary>\n\n   ```json\n   {\n      \"@type\": \"QueryResult\",\n      \"queryToken\": \"/nd0PlROcmuUK8MV8KPzCVXwA/pgZZ0NfsYjhqLNyothPzrFIh0OQLP6Hq3ERMSAl38Dz3NV5otJ/0+aCDDsTypO0QdfW8E1g6HO418jvP/H9FnMVfnwQV1Pmj3jnXGDSUVHo0HTYVmviVUzkmAy5jpnvtp027TSARqhxhzoXC3pt+FjHwNl9I4pE5cuL6AecN9PQyiBdgpYlDbF3qQa1c6fQialqOb+89OUK9TrPSURlE9bimahVdnHawpwXKB56GMhafmc4AEyFMPiU0emBaI4mFEN3zNjVww3RDucc9lUyHEV12ih2NhCLythmBJ7gGcme4fhcfyVr6o5QGRs3Qu1fWWO2bcf3eSEXwTB8z5LC+qqWSqqIhf4Y/hK6zBmscOuLSY4H2Rcqg6Td7PznjbcN/6w6/MxneOQgTRrvnJqD3VGXB1FVS+vZNx/peeu5BueaaHw8v1/rOr1X/8O+o8LZcK3BCw8cot4Jd9mqJaqsDD1oR0lpSXOIDgKkpVCePJwD6rVDSvoZpOmm25fKQxY3UH+tdp5NmBGjb2QU2Gn0Hwr0R41wvgEBwbRDU5Cb/LLzAswRILNE8sxKAiE3nKm/uH4a1fvYp+VtLQNXjN4YlL3+q19nYQ4zggPQsZlYf7IqEw7z1/33Yfv/ZRFu5mblii+eQlNAQI/lzTvA+WDn6lEoloHPcNiEzTNTS3H8P25oNAmhHWg0jQbZ6lvamS8F9KFc+r4ebMH4rPaKS2foA+xQKVJrUC9K3i7p6x/fFxgXwbwGlUeMbWquC/mDQh+1c3uZczNLTEDeFkRAVJwSJrTMoR3hsd4S/RxS3LMYpD/LuR+IhlnbTvO6YWgnUgIqFqGgWJUXUgT+rarHie1ERfNN3EXseTR/saOgcl5HR/djqrpdFLXuzXAZrI6pt6h2U7gnjZZ4BEGDKRZVCj8M7PoD0/8MP4NIfcE9FyxPvjFO8D7M7QGAHqmHllCPj6TpUstDmi3lQOSC4EYyTBbqFbODiThRzSptsuo9fdbsbd8Vl/KYP9OZcXGLyoZwC3rgOvXdzBeuOhQb7VoljBCN4dmlOLguyYoAXO7kPMMOB58raE5/vjndPkjdx1W4fGyhtbE1zrHZ11JXgvGVG+UEr+2Oc0ibmztm6JbyTZ4CRH+WWz2rQWHauti1XEIPg3An4kvN7zmENouQ4uoshXIGFelicB8PmKVG+eWEnZBNfOiJ9QbmGDsu4qGLzDpWX1uR3UoEMNFiAVwiw42XysTGRssL6c8AIARsI0GzxeVjrmuMHumfaif337zf3qFM7hsK2ram9NsRzFM+fNBDKeJBf1pbA/m6nke3dH5vtmf08zBwkYHCcMAL3+GFv/d7D47q5nhpAV4ok08v3ZJVHFXEbMcNhmhtmhKlKiE7um2gS5V6NRo4DILh46Mp5PYXJFX67yAEb5EeOAOG8/QxndBj4Mecvm9rDS8hlzot9t7dsEL6pnEFhzmXWNSOg91Pp4dJc4ZlthzTmc3oYHnVjugRWddx0CUQ9Gj7goZ971w\",\n      \"result\": [\n         ...\n      ]\n   }\n   ```\n</details>\n\n\n\n## Valid time zones\n\nWhen using the Platform API, the following time zones are valid for objects that require a time zone field:\n\n- Pacific/Pago\\_Pago\n- Pacific/Niue\n- Pacific/Honolulu\n- America/Anchorage\n- America/Tijuana\n- America/Los\\_Angeles\n- America/Phoenix\n- America/Denver\n- America/Mexico\\_City\n- America/El\\_Salvador\n- America/Chicago\n- America/Panama\n- America/New\\_York\n- America/Lima\n- America/Indianapolis\n- America/Bogota\n- America/Caracas\n- Atlantic/Bermuda\n- America/Santiago\n- America/Puerto\\_Rico\n- America/Halifax\n- America/St\\_Johns\n- America/Sao\\_Paulo\n- America/Buenos\\_Aires\n- Atlantic/South\\_Georgia\n- Atlantic/Cape\\_Verde\n- GMT\n- Europe/London\n- Europe/Lisbon\n- Europe/Dublin\n- Europe/Rome\n- Europe/Prague\n- Europe/Paris\n- Europe/Brussels\n- Europe/Berlin\n- Europe/Amsterdam\n- Europe/Minsk\n- Europe/Istanbul\n- Europe/Helsinki\n- Europe/Bucharest\n- Europe/Athens\n- Asia/Jerusalem\n- Africa/Johannesburg\n- Africa/Cairo\n- Europe/Moscow\n- Asia/Riyadh\n- Asia/Kuwait\n- Asia/Baghdad\n- Africa/Nairobi\n- Asia/Tehran\n- Asia/Tbilisi\n- Asia/Dubai\n- Asia/Kabul\n- Asia/Yekaterinburg\n- Asia/Tashkent\n- Asia/Karachi\n- Asia/Colombo\n- Asia/Calcutta\n- Asia/Katmandu\n- Asia/Dacca\n- Asia/Rangoon\n- Asia/Saigon\n- Asia/Jakarta\n- Asia/Bangkok\n- Australia/West\n- Asia/Taipei\n- Asia/Singapore\n- Asia/Shanghai\n- Asia/Manila\n- Asia/Kuala\\_Lumpur\n- Asia/Hong\\_Kong\n- Asia/Tokyo\n- Asia/Seoul\n- Australia/North\n- Australia/South\n- Australia/NSW\n- Australia/Queensland\n- Australia/Lord\\_Howe\n- Pacific/Guadalcanal\n- Pacific/Norfolk\n- Pacific/Fiji\n- Pacific/Auckland\n- Asia/Kamchatka\n- Pacific/Chatham\n- Pacific/Tongatapu\n- Pacific/Enderbury\n- Pacific/Kiritimati\n\n\n## CORS rules for RESTish requests \n\nThe Platform API and Partner API support the W3C Cross-Origin Resource Sharing \\(CORS\\) protocol.\n\nSupport for the [CORS](http://www.w3.org/TR/cors/) protocol enables the Platform APIs to circumvent a browser\u2019s same-origin policy, thereby enabling you to implement cross-server, JavaScript-powered API requests.\n\nBy using `Access-Control-...` HTTP headers, CORS essentially allows JavaScript from one origin \\(server\\) to request permission from another origin \\(server\\) to make RESTish API requests.\n\nTo enable CORS requests under a account, you must configure CORS request matching rules for the account on the CORS page \\(**Settings** \\> **Account Information and Setup** \\> **Boomi Platform API** \\> **CORS**\\). Each rule specifies:\n\n-   An origin for matching cross-server RESTish API requests under the account. The matching criteria specified for an origin are protocol \\(HTTP or HTTPS\\), originating domain, and originating port. A matching request is one that matches on all criteria.\n\n-   The allowed HTTP methods \u2014 GET, POST, DELETE \u2014 for matched requests.\n\n\n### CORS request types \n\nThere are two types of CORS requests:\n\n<details>\n  <summary><h3>Preflight</h3></summary>\n    A preflight request is used by a browser running JavaScript to determine whether they have permission to perform a given action. The browser sends an API request to determine whether the HTTP method for that type of request is accepted under that account from the origin server.\n\n    Preflight requests must conform with the following requirements:\n\n    -   Specify the HTTP OPTIONS method.\n\n    -   Include the `Origin` header.\n\n    -   Specify the HTTP method for the API request as the `Access-Control-Request-Method` header value.\n\n    Preflight requests are not authenticated. Preflight responses may be cached for up to one hour \\(3,600 seconds\\), as indicated by the `Access-Control-Max-Age` header value in the response.\n\n    The following is an example of an excerpt from a preflight request:\n\n    ```json\n    OPTIONS /api/rest/v1/account-123456/Atom/3456789a-bcde-f012-3456-789abcdef012 HTTP/1.1\n    Origin: https://mydomain.com\n    Access-Control-Request-Method: DELETE\n    Access-Control-Request-Headers: accept, authorization, content-type\n\n    ```\n\n    If the target API request is of a type allowed under the requesting account from the origin server, an excerpt from the response would be as follows:\n\n    ```json\n    Access-Control-Allow-Credentials: true\n    Access-Control-Allow-Headers: cache-control,content-type,expires,last-modified,accept,content-language,authorization,pragma\n    Access-Control-Allow-Origin: https://mydomain.com\n    Access-Control-Allow-Methods: GET, POST, DELETE\n    Access-Control-Max-Age: 3600\n    ```\n\n    If the target API request is *not* of a type allowed under the requesting account from the origin server, the response status code would be 401 Unauthorized.\n\n </details> \n\n  >**Note:** Preflight requests are not required for cross-origin requests that can be made from a browser without using CORS, such as an HTML form POST.\n\n<details>\n<summary><h3>Normal</h3></summary>\n\n    If the response to a preflight request is positive \u2014 the specified type of API request from the specified origin is allowed under the requesting account \u2014 the browser then submits the normal request. Normal requests consist of:\n\n    -   an API request of the type specified as the target in the preflight request\n\n    -   the same account and `Origin` header specified in the preflight request\n\n    Normal requests require authentication.\n\n    The following is an example of an excerpt from a normal request:\n\n    ```json\n    DELETE /api/rest/v1/account-123456/Atom/3456789a-bcde-f012-3456-789abcdef012 HTTP/1.1\n    Origin: https://mydomain.com\n    ```\n\n    An example of a positive response to the normal request would be as follows:\n\n    ```json\n    Access-Control-Allow-Origin: https://mydomain.com\n    Access-Control-Allow-Credentials: true\n\n    ```\n\n    If the specified type of API request from the specified origin is *not* allowed under the requesting account, the response status code would be 200 and the `Access-Control-...` headers would be omitted.\n</details>\n\n## CORS tutorial \n\nFor information about using CORS to implement cross-server, JavaScript-powered user interaction, refer to the topic [CORS tutorial at HTML5Rocks](http://www.html5rocks.com/en/tutorials/cors/).\n\n\n## Account security for CORS \n\nUse the CORS page \\(**Settings** \\> **Account Information and Setup** \\> **Boomi Platform API** \\> **CORS**\\) to configure CORS rules for RESTish requests in the and Partner APIs. \u00a0\n\n### CORS \n\nCORS rules govern the handling of cross-server, JavaScript-powered, RESTish API requests under an account.\n\n![](./Images/setup-ps-security-cors_67b70c09-ead9-4a3b-acde-7b4f2de5bae1.jpg)\n\n\n\n**Add Origin**  \nProvides controls for adding a CORS rule to the list. Each rule specifies:\n\n -   An origin for matching cross-server RESTish API requests under the account. The matching criteria specified for an origin are protocol \\(HTTP or HTTPS\\), originating domain, and originating port. A matching request is one that matches on all criteria.\n\n -   The allowed HTTP methods \u2014 GET, POST, DELETE \u2014 for matched requests.\n\n **Origin**    \nSpecifies the origin in URL syntax:\n\n -   Type :// as the delimiter between protocol and domain.\n\n -   If you are specifying a port explicitly, type : as the delimiter between domain and port.\n\n\nFor example: https://mydomain.com:8081.\n\nThe default ports are 80 for HTTP and 443 for HTTPS.\n\n The wildcard character \\* is permitted in the domain \u2014 for example, \\*.mydomain.com. However, specifying only \\* \\(to represent any domain\\) is not permitted.\n\n **Allowed Methods**  \n Sets the allowable HTTP methods for requests from the specified origin.\n\n **GET** - \nIf selected, GET requests are allowed.\n\n  **POST** - \nIf selected, POST requests are allowed.\n \n**DELETE** - \n If selected, DELETE requests are allowed.\n\n Highlighting a rule and clicking the Delete icon **![](./Images/main-ic-x-white-in-red-circle-16_0d0c5dc5-1c5e-4117-8a58-92c5e050ec5b.jpg)** deletes that rule.\n\n## API versioning and deprecation policy\n\nReview information about the Platform API objects' versioning and statuses, and Boomi's current policy for deprecating API objects.\n\n### API Version status\n\nAn Boomi Platform API object can have one of three statuses indicating its functional state.\n\n- **Generally Available** - A Generally Available API object is active and fully supported.\n\n- **Deprecated** - A deprecated API object is positioned for retirement at a future date. Though the object remains fully supported until its retirement date, Boomi recommends that users take advantage of newer API functionality meant to replace deprecated APIs at their earliest convenience. Operations for deprecated objects provide information in the response headers informing clients of the object\u2019s status as well as deprecation and retirement dates.\n\n- **Retired** - A retired API object is no longer available for use. A feature retires after it is in a deprecated state for some time. Boomi recommends that users take advantage of newer API functionality to replace retired objects before their retirement date. Retired objects return a 410 error code if there is no replacement, or if available, return a 301 or 308 with a replacement URL pointing to the newer functionality.\n\nBoomi communicates deprecation and retirement plans early and often to users. For deprecation time frames, refer to the topic [Boomi feature deprecation process and policy](/docs/GettingStarted/Boomi_feature_deprecation_process_policy).\n\n### Support level per status\n\nReview the levels of account availability and support that are available for each status type.\n\n|\u00a0 | Generally Available | Deprecated | Retired |\n| --- | --- | --- | --- |\n| Account availability | Active and available to all accounts. | Active and available for existing accounts only. New accounts do not have access. | Not available for all accounts. |\n| Service-level agreement \\(SLA\\) and Support | Yes | Yes | No |\n| Available for use in production | Yes | Yes | No |\n| Documentation is supported and available | Yes | Yes | No |\n\n### Deprecation policy\n\nAlthough Boomi works to make new updates to its APIs both non-breaking and backwards compatible, there are times when an API becomes outdated and we must deprecate the API to provide improved functionality to its users. Boomi guarantees full support for deprecated APIs until their retirement date. However, Boomi encourages users to use the new replacement API functionality as soon as possible.\n\nUsers and clients receive deprecation and retirement announcements through a variety of communication channels including but not limited to:\n\n- Monthly release notes\n- API documentation\n- Direct emails\n- Developer blogs\n- API responses \n\n When interacting with deprecated API objects, the response headers may contain the following fields:\n - **Sunset**: The approximate date the API object will be removed.\n - **Warning**: A string describing any warnings related to the API call.\n - **Deprecation**: A string indicating that the API is deprecated, along with the deprecation date.\n - **Link**: A hyperlink providing more details about the deprecation of this object.\n\n Visit the deprecated object's documentation to identify newer object functionality to use instead.\n\nFor more information about Boomi's deprecation policy, refer to the topic [Boomi feature deprecation process and policy](/docs/GettingStarted/Boomi_feature_deprecation_process_policy).\n\n### API versioning\n\nBoomi does not use incremental versioning to indicate updates made to existing Platform API objects. When updating existing Platform API objects, Boomi ensures backward compatibility for clients and does not:\n\n- Rename, remove, or change data types for existing fields\n- Change field validation rules such as adding new, required fields\n- Modify expected response codes\n\nBoomi can modify existing API objects to add new, optional fields without advance notice. In some cases, might make changes to the logic implementation of a deprecated API to work with newer application features, however the API interface remains the same for clients. Boomi documents all changes made to Generally Available and deprecated APIs publicly, and communicates with you in release notes.\n\n### Example API response\n\nThe following example shows the return HTTP response header upon accessing the deprecated endpoint for the Runtime Extensions object. Notice that the response returns headers with the object's original deprecation date, a warning message detailing the object's deprecated status, the link to the object's current documentation, and the object's future retirement \\(sunset\\) date of Saturday, February 13, 2021.\n\n```json\nDeprecation: version =\"1.0\"; date=\"Sat, 12 Oct 2019 04:00:00 GMT\"\nWarning: 299 - \"You are using a deprecated API endpoint. It will remain available until Sat, 13 Feb 2021 05:00:00 GMT. For more information, refer https://developer.boomi.com/docs/APIs/PlatformAPI/DeprecatedAPIs/Atom_Extensions_object .\"\nLink: <https://developer.boomi.com/docs/APIs/PlatformAPI/DeprecatedAPIs/Atom_Extensions_object;> rel=\"deprecation\" type=\"text/html\"\nSunset: Sat, 13 Feb 2021 05:00:00 GMT\n```\n\nWhen retiring an endpoint and no newer API functionality replaces the object, the retired object returns a 410 error code in the response. When retiring an endpoint and new API functionality is available, the retired object returns a 301 or 308 error code and a link to Documentation detailing the replacement object.\n\n\n## Enabling CORS support for Platform and Partner APIs \n\nEnable CORS support on the CORS page \\(**Settings** \\> **Account Information and Setup** \\> **Boomi Platform API** \\> **CORS**\\).\n\n### Procedure\n\n1.  Select **Settings** \\> **Account Information and Setup** and click **CORS** under **Boomi Platform API**.\n\n    The CORS page is displayed.\n\n2.  Click **Add Origin**.\n\n    Controls for specifying a CORS rule appear in the rules list below.\n\n3.  In the **Origin** field for the new rule, specify an origin using URL syntax.\n\n    Origins are used for matching cross-server RESTish API requests under the account by protocol \\(HTTP or HTTPS\\), originating domain, and originating port.\n\n4.  Turn on the check box for each HTTP method \\(GET, POST, DELETE\\) that you want to allow for requests under the account from the specified origin.\n\n5.  For each additional CORS rule that you want to specify, repeat steps 2\u20134. \u00a0\n\n6.  Click **Save**. \n\n ## Deprecated APIs \n\n Refer to the list of deprecated APIs that are not available in this OpenAPI specification: \n\n [Deprecated Platform APIs](/docs/category/deprecated-apis)",
        "contact": {
            "name": "Customer Support", 
            "url": "https://community.boomi.com/s/support", 
            "email": "support@boomi.com"
        }, 
        "license": {
            "name": "Boomi API License and Rate Limits", 
            "url": "/docs/GettingStarted/API_licensing"
        }, 
        "version": "1.0.0"
    }, 
    "servers": [
        {
            "url": "https://api.boomi.com/api/rest/v1/{accountId}", 
            "description": "US - Boomi Platform API Endpoint URL. {accountId} is the Account ID of the authenticated Boomi platform account making this request.", 
            "variables": {
                "accountId": {
                    "description": "The Account id to make this request as.", 
                    "default": "platform_account_ID"
                }
            }
        }, 
        {
            "url": "https://api.platform.gb.boomi.com/api/rest/v1/{accountId}", 
            "description": "GB - Boomi Platform API Endpoint URL.", 
            "variables": {
                "accountId": {
                    "description": "The Account id to make this request as.", 
                    "default": "platform_account_ID"
                }
            }
        }
    ], 
    "tags": [
        {
            "name": "AS2ConnectorRecord", 
            "description": "AS2 Connector Records correspond to the document and trading partner details of the Process Reporting page. Processes send AS2 messages using the AS2 Client connector and receive AS2 messages using the AS2 Shared Server connector. The AS2 Connector Record object contains AS2-specific document information and user-defined tracked field information along with other fields.\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Write access**\n\n- N/A\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data."
        }, 
        {
            "name": "Account", 
            "description": "The Account object provides information about an account, including the associated users, connector licensing \n information, and general information. \n >**Note:** The ability to create and delete accounts is available only through the Platform Partner API.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountCloudAttachmentProperties", 
            "description": "Programmatically get or edit the properties of a Runtime cloud's attachments, such as Runtime cloud and the Runtime that the owner or accounts attached to the Cloud. \n These actions are equivalent to those you can perform from the [Attachment quotas tab](https://help.boomi.com/docs/Atomsphere/Integration/Integration%20management/r-atm-Attachment_Quotas_tab_4fbc3fff-7aaf-4bbd-a2dc-25d0edb5189c) \\(**Manage** \\> **Cloud Management**\\) in the user interface. \n Retrieving **Account Cloud Attachment Properties** is an asynchronous process: \n 1. Send a GET request that specifies both the account ID and container ID to the Boomi Enterprise Platform. \n 2. The platform returns a token for the specified Runtime cloud. \n 3. Send one or more GET requests that include the token. Retrieving property values does not require a request body. \n 4. The platform returns list of existing property names and values for the given account and Cloud. \n\n Updating Account Cloud Attachment Properties does not require a request token. Therefore, you only need to make one request when updating one or more properties. When modifying properties, send a POST request including only those property names and values in the request body that you wish to modify. \n\n >**Note:** All properties that are eligible for viewing or updating as part of the Account Cloud Attachment Properties object are representative of those described in the topic [Attachment quotas tab](https://help.boomi.com/docs/Atomsphere/Integration/Integration%20management/r-atm-Attachment_Quotas_tab_4fbc3fff-7aaf-4bbd-a2dc-25d0edb5189c)."
        }, 
        {
            "name": "AccountCloudAttachmentPropertiesDefault", 
            "description": "The `AccountCloudAttachmentPropertiesDefault` object lets the runtime cloud owner retrieve and update the default cloud attachment properties for each runtime cloud cluster. \n Retrieving the default cloud attachment properties is an asynchronous process:\n1. Send a GET request that specifies both the account ID and runtime ID to the Boomi Enterprise Platform, where {accountId} is the ID of the authenticating account for the request and {runtimeId} is the ID of the runtime cloud cluster.\n2. The platform returns a token.\n3. Send one or more GET requests that include the token.\n4. The platform returns a list of the cloud attachments associated with the runtime cloud cluster.\n\n>**Note:** The runtime cloud cluster and cloud attachments to which you are calling must be online."
        }, 
        {
            "name": "AccountCloudAttachmentSummary", 
            "description": "The `AccountCloudAttachmentSummary` object lets cloud owners retrieve a list of cloud attachments for their runtime clouds. This includes attachments from the owner’s account as well as from child accounts with which the cloud is shared.\nThe runtime cloud created by the authenticating account must have Cloud Management privileges to access the summary of cloud attachments.\nThe following metadata can be retrieved using the `AccountCloudAttachmentSummary` object:\n- Runtime ID\n- Attachment Instance ID\n- Attachment Account ID\n- Attachment Creation Date\n- Cloud Cluster ID\n- Cloud ID\n"
        }, 
        {
            "name": "AccountCloudAttachmentQuota", 
            "description": "Use the Account Cloud Attachment Quota object to programmatically get, create, update, and delete Cloud attachment quotas. \n\n  As a Cloud owner, you can designate the number of Runtime attachments you can create in a Cloud for an account, edit a Cloud quota's value to raise or lower the limit, or delete the quota. In addition, you can also retrieve a Cloud's existing attachment quota for a given account. The actions supported in the Account Cloud Attachment Quota object represent those you can perform from the service's **Cloud Properties** tab \\(**Manage** \\> **Cloud Management** page\\) to create, edit, and delete Cloud attachment quotas for a given account."
        }, 
        {
            "name": "AccountGroup", 
            "description": "The Account Group object represents an account group. \n For each account group, you can: \n - Retrieve the properties and resources \n - Query by name \n - Create new account groups \n - Update the properties of existing account groups \n\n >**Note:** - To facilitate the operations on this object in an integration process, use the Boomi Enterprise Platform Partner API connector instead of the Boomi Enterprise Platform API connector. \n - Resources information is returned only for the Get operation, not the Query operation.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountGroupAccount", 
            "description": "The Account Group Account object represents the linkage between an account and an account group. You can query, add, and remove accounts in an account group. \n\n >**Note:** To facilitate these operations on this object in an integration process, use the Platform Partner API connector instead of the Platform API connector.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountGroupUserRole", 
            "description": "The Account Group User Role object represents the linkage between an user, an account group, and a defined role for the \n primary account. \n\n >**Note:** To facilitate these operations on this object in an integration process, use the Platform Partner API connector instead of the Platform API connector.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountSSOConfig", 
            "description": "The Account Single Sign-on Configuration object represents the single sign-on options for an account. \n >**Note:** The fields in this object correspond to the controls on the **SSO Options** tab of the **Setup** page.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountUserFederation", 
            "description": "The Account User Federation object represents the linkage between an user enabled for single sign-on, an account used by that user, and the user's federation ID. The implementation of single sign-on with SAML uses unique federation IDs to identify users.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountUserRole", 
            "description": "The Account User Role object represents the linkage between an user, the user's account, and a defined role for the account.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "AccountGroupIntegrationPack", 
            "description": "The AccountGroupIntegrationPack object represents an integration pack resource for existing account groups. You can retrieve, add, query, or remove the publisher integration packs from the account groups.\n\n#### Required Privileges\n\n**Read and Write access**\n\n- API Publisher Integration Pack\n- Integration Pack\n- Account Group Management"
        }, 
        {
            "name": "ApiUsageCount", 
            "description": "You can use the API Usage Count object to query the number of APIs used in a specific time frame.\n\n#### Required Privileges\n\n**Write access**\n\n- N/A\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data.\n- ACCOUNT_ADMIN — Account configuration and administration."
        }, 
        {
            "name": "Atom", 
            "description": "The Atom object represents a Runtime, Runtime cluster, or Runtime cloud (Runtime cloud cluster and Cloud Attachment). \n >**Note:** \n > - Many of the fields in the Atom object correspond to controls in the **Runtime Information** panel of the **Runtime Management** page. \n > - As of April 13, 2024, the `createdBy` field returns in the successful responses of the CREATE, GET, and QUERY operations. It will not be returned for the Runtimes that were created prior to this date.\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes.\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes.\n- OR ATOM_MANAGEMENT_READ_ONLY"
        }, 
        {
            "name": "AtomAS2Artifacts", 
            "description": "You can use the Download AS2 Artifacts Log operation to request and download AS2 artifacts logs. \n Because large AS2 artifacts logs can take time to download, the Platform API provides an asynchronous technique for downloading them: \n 1.  The client sends an Atom AS2 Artifacts request to the Boomi Enterprise Platform API that specifies the Runtime ID and the date of the logged events. \n 2.  The Enterprise platform returns a Log Download object that contains a URL with a unique AS2 artifacts log ID. \n 3.  The client opens the URL to download the log. \n  \n >**Note:** Purging of the AS2 artifacts logs occurs 30 days after creation. \n You must have the Runtime Management privilege to download AS2 artifacts logs. If you have the Runtime Management Read Access privilege, you cannot perform this action.", 
            "x-displayName": "Download Atom AS2 artifacts log"
        }, 
        {
            "name": "AtomConnectionFieldExtensionSummary", 
            "description": "The Atom Connection Field Extension Summary object is used to obtain the URL for OAuth 2.0 access token generation. \n >CAUTION:  \n >The Atom Connection Field Extension Summary object is a deprecated API and should no longer be used. removed non-environment functionality from the , and changed all accounts to utilize Environments. Therefore, Boomi recommends that you take advantage of the API functionality provided by the [Environment Connection Field Extension Summary object](/docs/api/platformapi/EnvironmentConnectionFieldExtensionSummary). For more information about Boomi's API object deprecation status, refer to the topic [API deprecation and versioning policy](https://developer.boomi.com/docs/APIs/PlatformAPI/Introduction/API_versioning_and_deprecation_policy). \n\n You can programmatically set almost all extensible connection fields for connections used in processes attached to Runtimes through the Atom Extensions endpoint. The only current exception is the accessToken field in a connection that uses OAuth 2.0 authentication. You can obtain the URL for OAuth 2.0 access token generation using a QUERY operation on the Atom Connection Field Extension Summary object. \n\n The URL returned by the operation is valid for up to 15 minutes from the time it is generated. \n\n >**Note:** In an XML response body, the returned URL requires decoding — for example, replacement of each instance of “&amp;” with “&” — for use in the browser.", 
            "x-displayName": "AtomConnectionFieldExtensionSummary (Legacy deployment, Deprecated)"
        }, 
        {
            "name": "AtomConnectorVersions", 
            "description": "The Atom Connector Versions object represents the properties of connectors that are used by a Runtime, Runtime cluster, or Runtime cloud.\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Write access**\n\n- N/A\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes.\n- OR ATOM_MANAGEMENT_READ_ONLY"
        }, 
        {
            "name": "AtomCounters", 
            "description": "The AtomCounters object represents the counters and their values associated with a particular Runtime. \n The owner of a Runtime, Cloud, or Runtime cluster can retrieve a list of all counters for their container. You can also modify counters' values by adding, changing, or removing a container's counters. The Runtime Counter value should be between 1 and 2147483647. \n\n Retrieving a list of counters is an asynchronous process: \n - The client sends a GET request that specifies a list of all a container's counters to the Boomi Platform. \n - The platform returns a counter token for the specified Runtime, Runtime cluster, or Runtime cloud. \n - The client sends one or more GET requests that include the counter token. \n     - The platform returns one of the following:  \n         - Status code 202 while the request is in progress. \n         - Status code 200, with the the list of the Runtime Counters, when the request is complete.\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Read and Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes."
        }, 
        {
            "name": "AtomDiskSpace", 
            "description": "As a Cloud owner, you can use the AtomDiskSpace object to retrieve information about the current disk space usage for a given Runtime cloud attachment. \n For monitoring purposes, the AtomDiskSpace object can help you determine how close your account is to the maximum disk space quota set on the **Account Disk Usage** property (**Runtime Management** --> **Cloud Management** --> **Attachment Quotas tab**). \n Retrieving Runtime disk space is an asynchronous process: \n -   The client sends a GET request that specifies a container ID to the . \n -   The platform returns a token for the specified Runtime cloud. \n -   The client sends one or more GET requests that include the token. \n -   The platform returns one of the following: \n     -   Status code 202 while the request is in progress. \n     -   Status code 200 with the custom contents of the token when the request is complete."
        }, 
        {
            "name": "AtomLog", 
            "description": "You can use this operation to request and download Runtime logs. \n Because large Runtime logs can take some time to download, the Platform API provides an asynchronous technique for downloading Runtime logs: \n 1. You send a Runtime Log request to the Boomi Enterprise Platform API that specifies the Runtime ID and the date of the logged events. \n 2. The Enterprise platform returns a Log Download object that contains a URL with a unique Runtime log ID. \n 3. You open the URL to download the log. \n >**Note:** \n Runtime logs purge 30 days after creation. \n  \n You must have the Runtime Management privilege to download Runtime logs. If you have the Runtime Management Read Access privilege, you cannot perform this action.\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Write access**\n\n- N/A\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes.\n- User should have access to the container.", 
            "x-displayName": "Download Atom log"
        }, 
        {
            "name": "AtomPurge", 
            "description": "You can use the Purge Atom cloud attachment operation to programmatically start the purge process for test and browse components, logs, processed documents, and temporary data for a Runtime cloud attachment. \n You can use the Purge Runtime cloud attachment operation for any Runtime cloud attachment. You must be a Cloud owner and have the **Runtime Management** privilege to use the this operation. \n The Purge Atom Cloud attachment operation works the same as a purge schedule, starting the process according to any of the following properties specified in the **Properties** and the **Account Properties**(**Advanced** tab) panels of Runtime Management: \n -   **Purge History After X Days** \n -   **Purge Schedule for Components** \n -   **Purge Schedule for Logs** \n -   **Purge Schedule for Processed Documents** \n -   **Purge Schedule for Temporary Data** \n This operation honors existing purge schedule settings defined in the Integration user interface. For example, suppose that the **Purge History After X Days** property is set to seven days. If you run the Purge Atom Cloud attachment operation, it only deletes files that are older than seven days. If the operation does not find any files that match this criterion, it does not purge any files.", 
            "x-displayName": "Purge Atom Cloud attachment"
        }, 
        {
            "name": "AtomSecurityPolicies", 
            "description": "The Atom Security Policies object represents custom updates to the current Java Virtual Machine (JVM) HIGH security policy for a Runtime cloud or a Runtime cluster with forked execution enabled. \n As the owner of a Runtime cloud or Runtime cluster, you can retrieve any custom updates to the HIGH security policy for your container. You can also update the policy by adding, changing, or removing custom runtime permissions. \n Refer to the topic [Security policies for Clouds and Runtime clusters](https://help.boomi.com/docs/Atomsphere/Integration/Integration%20management/c-atm-Security_policies_for_Clouds_and_Molecules_19d244bf-2cab-45a8-8d8e-49ebde3eddc7) for more information. \n Retrieving a security policy is an asynchronous process: \n -   The client sends a GET request that specifies a container ID to the . \n -   The platform returns a security policy token for the specified Runtime cloud or Runtime cluster. \n -   You send one or more GET requests that include the security policy token. \n -   The platform returns one of the following: \n     -   Status code 202 while the request is in progress. \n     -   Status code 200 with the custom contents of the security policy when the request is complete.\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Write access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes.\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT_READ_ONLY — Read only access to runtime configuration and administration."
        }, 
        {
            "name": "AtomStartupProperties", 
            "description": "The Atom Startup Properties object represents the start-up properties for a Runtime, Runtime cluster, or Runtime cloud. These properties come from the Java virtual machine \\(JVM\\) to which you deploy the Runtime, Runtime cluster, or Runtime cloud. \n The fields in the Atom Startup Properties object correspond to properties listed on the **Startup Properties** panel of the **Runtime Management** page. The specific fields returned depend on the system configuration and can vary from one Runtime to the next. \n >**Note:** This API is not applicable for runtimes attached to clouds. \n\n ### Startup Properties Reference\n\n|Property|Type|Description|\n|-----|----|-----------|\n|atomArch|*string*|The architecture of the Runtime, Runtime cluster, or Runtime cloud — either 64-bit or 32-bit.|\n|atomFreeDiskSpace|*long*|The amount of free disk space, in bytes, on the drive that holds the Runtime, Runtime cluster, or Runtime cloud installation directory. Some systems do not report this information.|\n|atomHome|*string*|The installation directory of the Runtime, Runtime cluster, or Runtime cloud.|\n|atomTimeZone|*string*|The Java timezone for the runtime.|\n|atomType|*string*|The type of runtime (Runtime, Runtime cluster, Cloud). Cloud attachments are not applicable for the API.|\n|containerImageVersion|*string*|The Docker image version for containerized runtimes.|\n|customProcbrowserScript|*string*|The customized procbrowser script file name.|\n|customProcrunnerScript|*string*|The customized procrunner script file name.|\n|customProcworkerScript|*string*|The customized procworker script file name.|\n|customRestartScript|*string*|The customized restart script file name.|\n|fileEncoding|*string*|Default character encoding for data processed by the Runtime, Runtime cluster, or Runtime cloud. Common values are UTF-8, Windows-1252, and US-ASCII.|\n|infrastructureProvider|*string*|The infrastructure provider where the Runtime, Runtime cluster, or Runtime cloud is running. Possible values are: <br/>- AWS (Amazon Web Services)<br />- Azure (Microsoft Azure)<br />- Docker<br />- Legacy Docker (for Docker installations that occurred before the April 2020 release)<br />- GCE (Google Compute Engine)<br />- Kubernetes<br />- QUICKSTART.|\n|isContainerized|*boolean*|If true, the runtime is running in a Docker container.|\n|isUsingExternalJDK|*boolean*|If true, the runtime is using an external Java installation that is not managed by Boomi.|\n|javaHome|*string*|The Java installation directory. This is the path that your Runtime, Runtime cluster, or Runtime cloud uses to access the Java Runtime. |\n|javaVendor|*string*|The vendor of the Java installation used by the runtime.|\n|javaVersion|*string*|The version number of the Java Runtime (in the case of a Runtime) or the JDK (in the case of a Runtime cluster or Runtime cloud) in which the Runtime, Runtime cluster, or Runtime cloud runs.|\n|javaVMName|*string*|The name of the Java virtual machine to which you deploy the Runtime, Runtime cluster, or Runtime cloud.|\n|jreFolderJavaVersion|*string*|The Java version of the runtime's managed Java installation.|\n|lastAtomUpdateTime|*dateTime (*yyyy-MM-dd'T'HH:mm:ss'Z'* — for example, 2014-02-05T15:32:00Z)*|Displays the last time a Runtime Java was upgraded in the Java Version page.|\n|lastRestartTime|*dateTime (*yyyy-MM-dd'T'HH:mm:ss'Z'* — for example, 2014-02-05T15:32:00Z)*|The date and time the Runtime, Runtime cluster, or Runtime cloud was last started or restarted.|\n|localFreeDiskSpace|*long*|It is the total amount of free disk space left in the local directory where working data is stored. This will be displayed only when localDir is enabled. Refer to the topic [Managing local and work directories](https://community.boomi.com/s/article/managinglocalandworkdirectories) for more information.|\n|maxCpuTime|*long*|The average amount of time that a process takes to complete. The upper limit is typically set to unlimited and is represented in seconds.|\n|maxDataSize|*long*|Specified in kilobytes; this property indicates the maximum size of the process' data segment.|\n|maxFileLocks|*long*|The maximum number of locks that a process may establish.|\n|maxFileSize|*long*|The maximum file or folder size that the process can create.|\n|maxMemory|*long*|The maximum amount of RAM, in bytes, available to processes deployed to the Runtime, Runtime cluster, or Runtime cloud.|\n|maxOpenFiles|*int*|In Linux only, the maximum number of files that you can open simultaneously. Open files include those that are open for read and write activity and open network connections.|\n|maxProcesses|*long*|The maximum number of processes that are possible for creation within the system.|\n|maxStackSize|*long*|Specified in kilobytes; this property indicates the amount of memory a process can allocate on the stack.|\n|osArch|*string*|The architecture implemented for the microprocessor running the Runtime, Runtime cluster, or Runtime cloud. Common values are amd64, i386, ppc, x86, x86_64.|\n|osName|*string*|The operating system on which you deploy the Runtime, Runtime cluster, or Runtime cloud.|\n|osVersion|*string*|The version of the operating system in which you deploy the Runtime, Runtime cluster, or Runtime cloud.|\n|prevJavaVersion|*string*|Rollback version. The Atom’s Java version prior to the last upgrade. Used as the rollback version in the rollback widget.|\n|proxyHost|*string*|The host name of the HTTP proxy server.|\n|proxyPassSet|*boolean*|If true, there is a password set for the defined proxy.|\n|proxyPort|*int*|The HTTP port number. The default is 80.|\n|securityPolicyLevel|*string*|The Java security policy of the Runtime cluster or Runtime cloud (LOW, HIGH).|\n|sslProxyHost|*string*|The host name of the HTTPS proxy server.|\n|sslProxyPort|*int*|The HTTPS port number. The default is 443.|\n|systemCpuCount|*int*|The number of central processing units (CPUs) in the system on which you install the Runtime, Runtime cluster, or Runtime cloud.|\n|systemTotalMemory|*long*|The total amount of memory, in bytes, in the system on which you install the Runtime, Runtime cluster, or Runtime cloud. Some systems do not report this information.|\n|tempFreeDiskSpace|*long*|The amount of free disk space, in bytes, on the drive that holds the system’s Temporary directory. Some systems do not report this information.|\n|unlimitedCrypto|*boolean*|The default is false, meaning the Java installation has limited strength cryptography. Certain functionality requires full-strength cryptography. Set this to true if you installed the Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files.|\n\n#### Required Privileges\n\nYou need these privileges in the *target environment*:\n\n**Write access**\n\n- N/A\n\n**Read access**\n\n- API — Use the Boomi Platform API to access account data.\n- ATOM_MANAGEMENT — Configure and administer integration runtimes.\n- OR ATOM_MANAGEMENT_READ_ONLY"
        }, 
        {
            "name": "AtomWorkerLog", 
            "description": "The Download Atom worker log operation allows users to programmatically retrieve a link for downloading a given Execution worker's log. \n When a Cloud owner enables the **Enable Download of Execution Artifacts and Worker Logs** property on the **Cloud Attachment Quotas** tab (Cloud Management) of the Integration user interface, account users can employ the Download Atom worker log operation to retrieve a download link for viewing a specific Execution worker's logs. \n The functionality provided by the Download Atom worker log operation is similar to downloading Worker logs from the **Workers** panel in the Integration user interface (**Manage** --> **Runtime Management** --> **select a Runtime cloud** --> **Workers panel** --> **Actions menu**). \n Retrieving a worker log is an asynchronous process: \n 1.  The client sends a CREATE or POST request to the Boomi Enterprise Platform API that specifies a Cloud ID in the endpoint and an execution worker ID in the request body. \n 2.  The Enterprise platform returns a download URL for the specified Execution worker and a status code 202 while the request is in progress. \n 3.  To download the link to your web browser, press **CTRL** and then left-click on the link. \n     >**Note:** You can also copy and paste the link into your web browser to start the download. You might need to enter your sign-in credentials. \n      \n 4.  The Enterprise platform downloads the SoaWorkerLog\\log.zip file to the your local **Downloads** folder. You can open the worker log by extracting the zipped file.", 
            "x-displayName": "Download Atom worker log"
        }, 
        {
            "name": "AuditLog", 
            "description": "The Audit Log object represents an entry in the audit log. Retention of audit log entries is indefinite — no purge schedule exists. \nFor information about constructing queries for specific types of actions performed in Boomi Data Hub, refer to the topic [REST APIs](https://help.boomi.com/docs/Atomsphere/Master%20Data%20Hub/REST%20APIs/r-mdm-REST_APIs_f43499a6-3d1c-4102-bf13-94b02659dd9f).\n\n| Action type | type | action | modifier |\n| ----------- | ---- | ------ | -------- |\n| Enable account features (admin level) | account | EDIT |  |\n| Enable, change, or disable Account Usage Agreement | account | EDIT | NONE |\n| Enable, change, or disable single sign-on (SSO) | account | EDIT | NONE |\n| Enable or disable Session Lock and Terminate | account | EDIT | NONE |\n| Enable or disable Session Concurrency | account | EDIT | NONE |\n| Enable or disable two-factor authentication (account level) | account | EDIT | NONE |\n| Force sign out account | account | LOGOUT | NONE |\n| Modify an account password policy | account | EDIT | NONE |\n| Modify CORS settings | account | EDIT | NONE |\n| Log in/Switch accounts — success<br />**Note:** Logging into the platform is technically considered an account switch, and encompasses both initial sign-in and post-login account switching. Additionally, failed login attempts are not captured. | account | ON_ENTRY | SUCCESS |\n| Update Assure setting | account | EDIT | NONE |\n| Modify an account name | account | EDIT | NONE |\n| Modify an account Support Access Role | as.account.access | EDIT | NONE |\n| Add Trusted IP Address on an account | account-ip_address | ADD | TRUSTEDIP |\n| Delete Trusted IP Address from an account | account-ip_address | DELETE | TRUSTEDIP |\n| Edit Trusted IP Address in an account | account-ip_address | EDIT | TRUSTEDIP|\n| Add an API application | api.application | ADD | NONE |\n| Update an API application | api.application | UPDATE | NONE |\n| Add an authentication source | api.authentication_source | ADD | NONE |\n| Remove an authentication source | api.authentication_source | DELETE | NONE |\n| Update an authentication source | api.authentication_source | UPDATE | NONE |\n| Add an API contract | api.contract | ADD | NONE |\n| Update an API contract | api.contract | UPDATE | NONE |\n| Add an API deployment | api.deployment | ADD | NONE |\n| Deploy or Redeploy an API | api.deployment | DEPLOY | NONE |\n| Remove an API deployment | api.deployment | DELETE | NONE |\n| Update an API deployment | api.deployment | UPDATE | NONE |\n| Add, update, or delete API policy rules | api.deployment_policies | ADD, UPDATE, DELETE | NONE |\n| Add an API Key | api.key | ADD | NONE |\n| Remove an API Key | api.key | DELETE | NONE |\n| Update an API Key | api.key | UPDATE | NONE |\n| Edit and save account properties | as.account.properties | SAVE | NONE |\n| Add an account group | as.accountgroup | ADD | NONE |\n| Delete an account group | as.accountgroup | DELETE | NONE |\n| Add a cloud to an account group | as.accountgroup.resource | ADD | NONE |\n| Delete a cloud from an account group | as.accountgroup.resource | DELETE | NONE |\n| Add a connector to an account group | as.accountgroup.resource | ADD | NONE |\n| Delete a connector from an account group | as.accountgroup.resource | DELETE | NONE |\n| Add an integration pack to an account group | as.accountgroup.resource | ADD | NONE |\n| Delete an integration pack from an account group | as.accountgroup.resource | DELETE | NONE |\n| Add a published component to an account group | as.accountgroup.resource | ADD | NONE |\n| Delete a published component from an account group | as.accountgroup.resource | DELETE | NONE |\n| Add a role to an account group | as.accountgroup.resource | ADD | NONE |\n| Delete a role from an account group | as.accountgroup.resource | DELETE | NONE |\n| Add user to account group | as.accountgroup.user | ADD | NONE |\n| Update user roles in account group | as.accountgroup.user | UPDATE | ROLE |\n| Remove user from account group | as.accountgroup.user | DELETE | NONE |
[...]
